Routescope APIRoutescope API
模型接口API文档视频模型

上传素材并创建素材组

上传一个或多个素材文件,并创建新的 Video Studio 素材组。

上传一个或多个素材文件,并在上游创建新的素材组。创建成功后,本项目会保存当前用户与上游素材组 groupId 的归属关系,后续查询、追加上传、修改、删除都依赖这条本地归属关系做权限控制。该接口需要当前 Token 所属分组下存在已配置 video_studio_asset_base_url 的可用渠道。

POST
/v1/api/video-studio/assets/ecloud/upload-and-save
curl -X POST "https://api.routescope.ai/v1/api/video-studio/assets/ecloud/upload-and-save" \  -F files="[\n  \"string\"\n]"
{
  "data": {
    "group": {
      "groupId": "group_xxx",
      "groupName": "产品素材组",
      "displayName": "产品素材组",
      "groupType": "AIGC"
    },
    "assets": [
      {
        "fileName": "image.png",
        "assetName": "image.png",
        "assetType": "Image",
        "assetId": "asset_xxx",
        "assetUrl": "https://example.com/path/to/asset.png",
        "coverUrl": "https://example.com/path/to/asset.png",
        "status": "SUCCESS",
        "createdTime": "2026-06-30T00:00:00Z"
      }
    ]
  },
  "error": {
    "code": "not_found",
    "message": "asset group not found"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "not_found",
    "message": "asset group not found"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "not_found",
    "message": "asset group not found"
  },
  "request_id": "req_xxx"
}

Authorization

BearerAuth

AuthorizationBearer <token>

使用本项目网关 Token:Authorization: Bearer <API_TOKEN>。注意这里不是上游素材库 API Key。

In: header

Request Body

multipart/form-data

files*array<file>

素材文件数组,最多 20 个。支持 jpg、jpeg、png、mp4、mov、mp3、wav。

Itemsitems <= 20
displayName?string

素材组展示名称。

groupName?string

素材组名称,通常与 displayName 一致。

Response Body

application/json

application/json

application/json

最后更新于